import 'ag-grid/dist/styles/ag-grid.css';
import 'ag-grid/dist/styles/ag-theme-material.css';
import * as React from 'react';
import './AgGridComponent.css';
interface GridProperties {
    rowHeight?: number;
    headerHeight?: number;
    floatingFiltersHeight?: number;
    columnDefs: any;
    rowData: any;
    rowClassRules?: any;
    rowOnClick: (rowInfo: {}, clicked: boolean) => void;
}
declare class AgGridComponent extends React.Component<GridProperties, any> {
    constructor(props: GridProperties);
    onGridReady: (params: any) => void;
    onGridSizeChanged(params: any): void;
    onRowSelected: (event: any) => void;
    cellClicked(event: any): void;
    export(name: string): void;
    componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
export default AgGridComponent;
