import * as React from "react";
import "./Card.css";
interface CardTypes {
    /**
     * Header title for the card
     */
    title?: string;
    /**
     * Light for the light background
     */
    type?: string;
    /**
     * Classname for the card
     */
    className?: string;
    /**
    * Card color for the card
    */
    cardColor?: any;
    /**
   * Card with or without HR line
   */
    lineRequired?: boolean;
}
declare class Card extends React.Component<CardTypes, any> {
    constructor(props: CardTypes);
    renderCard(): JSX.Element;
    render(): JSX.Element;
}
export default Card;
