"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TextUtils_1 = require("../../Utilities/TextUtils");
require("./Card.css");
var Card = /** @class */ (function (_super) {
    __extends(Card, _super);
    function Card(props) {
        return _super.call(this, props) || this;
    }
    Card.prototype.renderCard = function () {
        var _a = this.props, type = _a.type, title = _a.title, children = _a.children, cardColor = _a.cardColor, lineRequired = _a.lineRequired;
        return (React.createElement("div", null,
            React.createElement("div", { style: { backgroundColor: cardColor }, className: type === "dark" ? "label_type_dark" : type === "light" ? "label_type_light" : "" }, title),
            lineRequired === false ? "" : React.createElement("hr", { className: "hr_line" }),
            children));
    };
    Card.prototype.render = function () {
        return (React.createElement("div", { className: TextUtils_1.default.getInstance().isEmpty(this.props.className) ? "standardCard" : this.props.className }, this.renderCard()));
    };
    return Card;
}(React.Component));
exports.default = Card;
//# sourceMappingURL=index.js.map