import * as React from 'react';
import FormFields from '../../../types/FormFields';
import './Button.css';
export interface ButtonMethods {
    onClick(): void;
}
declare class Button extends React.Component<FormFields & ButtonMethods, any> {
    constructor(props: FormFields & ButtonMethods);
    /**
       * Update the states with new props only if newprops is changed
       * @param nextProps newly updated props
       */
    componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
export default Button;
