"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./Button.css");
var Button = /** @class */ (function (_super) {
    __extends(Button, _super);
    function Button(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            object: props
        };
        return _this;
    }
    /**
       * Update the states with new props only if newprops is changed
       * @param nextProps newly updated props
       */
    Button.prototype.componentWillReceiveProps = function (nextProps) {
        if (nextProps !== this.state) {
            this.setState({
                object: nextProps
            });
        }
    };
    Button.prototype.render = function () {
        var _a = this.state.object, fieldName = _a.fieldName, disabled = _a.disabled, className = _a.className;
        return (React.createElement("button", { id: fieldName, className: disabled ? "btn_disabled" : className, type: "button", disabled: disabled, onClick: this.props.onClick, value: fieldName }, fieldName));
    };
    return Button;
}(React.Component));
exports.default = Button;
//# sourceMappingURL=index.js.map