import * as React from "react";
import 'react-tippy/dist/tippy.css';
import FormFields from '../../../types/FormFields';
import './checkbox.css';
interface Props extends FormFields {
    /**
     * This property sets the status of checkbox
     * @default false
     */
    checked?: boolean;
}
interface Methods {
    onChange(e: any): any;
}
declare class Checkbox extends React.Component<Props, any> implements Methods {
    constructor(props: Props);
    onChange: (e: any) => void;
    render(): JSX.Element;
}
export default Checkbox;
