"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = require("react");
// tslint:disable-next-line:no-submodule-imports
require("react-tippy/dist/tippy.css");
require("./checkbox.css");
var Checkbox = /** @class */ (function (_super) {
    __extends(Checkbox, _super);
    function Checkbox(props) {
        var _this = _super.call(this, props) || this;
        _this.onChange = function (e) {
            _this.setState({
                object: __assign({}, _this.state.object, { checked: !_this.state.object.checked })
            });
        };
        _this.state = {
            object: props
        };
        return _this;
    }
    Checkbox.prototype.render = function () {
        var _a = this.state.object, fieldName = _a.fieldName, className = _a.className, checked = _a.checked;
        return (React.createElement("div", { className: "checkbox-div" },
            React.createElement("div", { className: className, onClick: this.onChange },
                checked ? React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faCheckSquare, size: 'lg' }) : React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faSquare, size: 'lg' }),
                React.createElement("label", null, fieldName)),
            React.createElement("br", null)));
    };
    return Checkbox;
}(React.Component));
exports.default = Checkbox;
//# sourceMappingURL=index.js.map