import * as React from 'react';
import 'react-datepicker/dist/react-datepicker.css';
import './DatePickerField.css';
import FormFields from '../../../types/FormFields';
import 'react-tippy/dist/tippy.css';
interface Props extends FormFields {
    minDateSelected?: any;
    selectedDate?: any;
    onDateSelect?: any;
}
interface Methods {
    onDateSelect(date: any, event: any): any;
    onFocus(): any;
    onBlur(): any;
}
declare class DatePickerField extends React.Component<Props, any> implements Methods {
    constructor(props: Props);
    componentWillReceiveProps(nextProps: Props): void;
    onDateSelect: (date: any, event: any) => void;
    onFocus: () => void;
    /**
    * On Focus out, hide showErrorBox
    */
    onBlur: () => any;
    render(): JSX.Element;
}
export default DatePickerField;
