import * as React from 'react';
import 'react-datepicker/dist/react-datepicker.css';
import FormFields from '../../../types/FormFields';
import './TimePickerField.css';
import 'react-tippy/dist/tippy.css';
interface Props extends FormFields {
    selectedTime?: string;
}
interface Methods {
    onTimeSelect(time: any): any;
    onFocus(): any;
    onBlur(): any;
}
declare class TimePickerField extends React.Component<Props, any> implements Methods {
    constructor(props: Props);
    onTimeSelect: (time: any) => void;
    onFocus: () => void;
    /**
     * On Focus out, hide showErrorBox
     */
    onBlur: () => any;
    render(): JSX.Element;
}
export default TimePickerField;
