"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var inputField_1 = require("./inputField");
exports.MiddlewareInput = function (_a) {
    var field = __rest(_a.field, []), props = __rest(_a, ["field"]);
    var error = props.errors[field.name];
    var touched = props.touched[field.name];
    // tslint:disable-next-line:one-variable-per-declaration
    var InputProps = {
        name: field.name,
        error: error,
        touched: touched,
        value: props.value ? props.value : field.value,
        onChange: props.handleChange,
        title: props.formTitles[field.name],
        maxLength: props.maxLength,
    };
    return (React.createElement("div", null,
        React.createElement(inputField_1.default, { InputProps: InputProps })));
};
//# sourceMappingURL=middlewareInput.js.map