import * as React from 'react';
import FormFields from '../../types/FormFields';
import './LabelText.css';
interface Props extends FormFields {
    /**
     * type of the input field component ex: email,phone,text
     */
    type?: string;
    /**
     * max length of the field
     */
    maxLength?: number;
    handleOnLabelClick?: () => void;
}
declare class LabelField extends React.Component<Props, any> {
    constructor(props: Props);
    render(): JSX.Element;
}
export default LabelField;
