"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
require("./buttonFilter.css");
var ButtonFilter = /** @class */ (function (_super) {
    __extends(ButtonFilter, _super);
    function ButtonFilter(props) {
        var _this = _super.call(this, props) || this;
        _this.handleClick = function () {
            _this.props.handleClick(_this.props.tabIndex);
        };
        return _this;
    }
    ButtonFilter.prototype.render = function () {
        var _a = this.props, tabName = _a.tabName, selectedTab = _a.selectedTab, tabIndex = _a.tabIndex;
        var buttonClassName = (selectedTab === tabIndex || selectedTab === undefined) ? "filterButton filterButtonHighlight" : "filterButton";
        return (React.createElement(react_bootstrap_1.Col, { xs: 2 },
            React.createElement("button", { className: buttonClassName, onClick: this.handleClick, id: tabName }, tabName)));
    };
    return ButtonFilter;
}(React.Component));
exports.default = ButtonFilter;
//# sourceMappingURL=index.js.map