"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
// import _ from "lodash";
var React = require("react");
var react_select_1 = require("react-select");
// tslint:disable-next-line:no-submodule-imports
// import AsyncSelect from 'react-select/lib/Async';
// import { DropdownButton, MenuItem } from 'react-bootstrap';
require("./dropDownFilter.css");
var DropdownFilter = /** @class */ (function (_super) {
    __extends(DropdownFilter, _super);
    function DropdownFilter(props) {
        var _this = _super.call(this, props) || this;
        _this.onSelect = function (selectedOption) {
            _this.props.onDropDownSelected(selectedOption);
            _this.setState({
                value: selectedOption.value
            });
        };
        _this.state = {
            object: _this.props,
            value: ''
        };
        _this.onSelect = _this.onSelect.bind(_this);
        return _this;
    }
    DropdownFilter.prototype.componentWillReceiveProps = function (nextProps) {
        if (nextProps.options !== this.state.object.options) {
            this.setState({
                object: nextProps,
                value: nextProps.options[0].value
            });
        }
    };
    DropdownFilter.prototype.render = function () {
        var options = this.state.object.options;
        return (React.createElement("div", { className: "dropdownContainer" },
            React.createElement(react_select_1.default, { name: "drop-down-container", classNamePrefix: "dropDown", options: options, value: this.state.value, placeholder: this.state.value === '' ? options[0].value : this.state.value, onChange: this.onSelect, isSearchable: false, isDisabled: false })));
    };
    return DropdownFilter;
}(React.Component));
exports.default = DropdownFilter;
//# sourceMappingURL=index.js.map