import * as React from 'react';
import './ModalPopup.css';
export interface ModalPopupProps {
    /**
     * Title for the Popup
     */
    titleObject: any;
    /**
     * Subtitle for the Popup modal
     */
    subtitleObject?: any;
    /**
     * InputField item
     */
    inputField?: any;
    /**
     * Cancel button
     */
    cancelButtonObject: any;
    /**
     * Submit button
     */
    submitButtonObject: any;
    /**
     * Card type: Dark or Light
     */
    cardType: string;
    /**
     * Card title
     */
    cardTitle: string;
    /**
     * Set the state of the modal
     */
    modalIsOpen: boolean;
    /**
     * Callback when the modal is closed
     */
    onCloseModal: any;
    /**
     * Callback when the modal is open
     */
    afterOpenModal: any;
    /**
     * Card header color
     */
    cardColor?: any;
    onCancel?: any;
    onSubmit?: any;
    onChange?: any;
}
declare class ModalPopupContainer extends React.Component<ModalPopupProps, any> {
    render(): JSX.Element;
}
export default ModalPopupContainer;
