"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Card_1 = require("../../components/Card");
var Button_1 = require("../../components/FormComponents/Button");
var InputField_1 = require("../../components/FormComponents/InputField");
var LabelField_1 = require("../../components/Label/LabelField");
var ModalPopup_1 = require("../../components/ModalPopup");
var TextUtils_1 = require("../../Utilities/TextUtils");
require("./ModalPopup.css");
// tslint:disable-next-line:class-name
var ModalPopupContainer = /** @class */ (function (_super) {
    __extends(ModalPopupContainer, _super);
    function ModalPopupContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalPopupContainer.prototype.render = function () {
        return (React.createElement("div", { className: "popupmodal" },
            React.createElement(ModalPopup_1.default, { onCloseModal: this.props.onCloseModal, afterOpenModal: this.props.afterOpenModal, status: this.props.modalIsOpen },
                React.createElement(Card_1.default, { className: "popupCard", title: this.props.cardTitle, type: this.props.cardType, cardColor: this.props.cardColor },
                    React.createElement("div", { className: "modalContainer" },
                        React.createElement("div", { className: "modalBody" },
                            React.createElement(LabelField_1.default, __assign({}, this.props.titleObject)),
                            TextUtils_1.default.getInstance().isEmpty(this.props.subtitleObject) ? React.createElement(LabelField_1.default, __assign({}, this.props.subtitleObject)) : "",
                            this.props.inputField ? React.createElement(InputField_1.default, __assign({}, this.props.inputField, { onChange: this.props.onChange })) : ""),
                        React.createElement("div", { className: "modalFooter" },
                            React.createElement(Button_1.default, __assign({}, this.props.cancelButtonObject, { onClick: this.props.onCancel })),
                            React.createElement(Button_1.default, __assign({}, this.props.submitButtonObject, { onClick: this.props.onSubmit }))))))));
    };
    return ModalPopupContainer;
}(React.Component));
exports.default = ModalPopupContainer;
//# sourceMappingURL=index.js.map