"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./backwardHeader.css");
var BackwardHeader = /** @class */ (function (_super) {
    __extends(BackwardHeader, _super);
    function BackwardHeader(props) {
        var _this = _super.call(this, props) || this;
        _this.handleClick = _this.handleClick.bind(_this);
        return _this;
    }
    BackwardHeader.prototype.handleClick = function () {
        this.props.onBackClick();
    };
    BackwardHeader.prototype.render = function () {
        var _a = this.props, name = _a.name, appNumber = _a.appNumber;
        return (React.createElement("div", { className: "backwardHeaderContainer" },
            React.createElement("span", { className: "backIcon" },
                React.createElement("i", { className: "fa fa-arrow-left", onClick: this.handleClick })),
            React.createElement("span", { className: "appName" }, name),
            React.createElement("span", { className: "appNumber" }, appNumber)));
    };
    return BackwardHeader;
}(React.Component));
exports.default = BackwardHeader;
//# sourceMappingURL=index.js.map