"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
var AppConstants_1 = require("../../../constants/AppConstants");
var Checkbox_1 = require("../Checkbox");
require("./ListItem.css");
var ListCheckboxes = /** @class */ (function (_super) {
    __extends(ListCheckboxes, _super);
    function ListCheckboxes(props) {
        return _super.call(this, props) || this;
    }
    ListCheckboxes.prototype.render = function () {
        return (React.createElement("div", { className: this.props.orientation === AppConstants_1.LAYOUT_HORIZONTAL ? "listgroup_hz" : "listgroup_vt" }, 
        // tslint:disable-next-line:only-arrow-functions
        this.props.listItems.map(function (item) {
            return React.createElement(react_bootstrap_1.ListGroupItem, { key: item.value },
                React.createElement(Checkbox_1.default, { fieldName: item.label, className: "checkbox" }),
                " ");
        })));
    };
    return ListCheckboxes;
}(React.Component));
exports.default = ListCheckboxes;
//# sourceMappingURL=ListCheckboxes.js.map