"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
// import Tooltip from 'rc-tooltip';
var React = require("react");
var react_tippy_1 = require("react-tippy");
// tslint:disable-next-line:no-submodule-imports
require("react-tippy/dist/tippy.css");
require("./form.css");
var InputField = /** @class */ (function (_super) {
    __extends(InputField, _super);
    function InputField(props) {
        return _super.call(this, props) || this;
    }
    InputField.prototype.render = function () {
        var InputProps = this.props.InputProps;
        return (React.createElement("div", null,
            React.createElement("div", null, InputProps.title),
            React.createElement("input", { type: "text", name: InputProps.name, value: InputProps.value, onChange: InputProps.onChange, className: InputProps.error && InputProps.touched ? 'text-input error' : 'text-input' }),
            React.createElement(react_tippy_1.Tooltip, { title: InputProps.error, position: "right", open: InputProps.error && InputProps.touched ? true : false, arrow: true, size: "big" })));
    };
    return InputField;
}(React.Component));
exports.default = InputField;
//# sourceMappingURL=inputField.js.map