import * as React from 'react';
import FormFields from '../../types/FormFields';
import './ImageContainer.css';
interface Props extends FormFields {
    /**
     * type of the input field component ex: email,phone,text
     */
    type?: string;
    /**
     * image url field
     */
    image?: string;
    /**
     * image name field
     */
    name: string;
    /**
     * image title field
     */
    title: string;
    /**
     * image src value
     */
    value: string;
}
declare class ImageContainer extends React.Component<any, any> {
    constructor(props: Props);
    onOpenModalVideo: (videoURL: any) => void;
    onCloseModalVideo: () => void;
    onOpenModalImage: (imageURL: any) => void;
    imageModal(): JSX.Element;
    onCloseModalImage: () => void;
    renderImage(): JSX.Element[];
    render(): JSX.Element;
}
export default ImageContainer;
