"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Modal = require("react-modal");
require("./Modal.css");
var customStyles = {
    content: {
        top: '50%',
        left: '50%',
        right: 'auto',
        bottom: 'auto',
        marginRight: '-50%',
        transform: 'translate(-50%, -50%)',
    }
};
var ModalPopup = /** @class */ (function (_super) {
    __extends(ModalPopup, _super);
    function ModalPopup(props) {
        return _super.call(this, props) || this;
    }
    ModalPopup.prototype.render = function () {
        var _a = this.props, status = _a.status, afterOpenModal = _a.afterOpenModal, onCloseModal = _a.onCloseModal;
        return (React.createElement("div", null,
            React.createElement(Modal, { isOpen: status, onAfterOpen: afterOpenModal, onRequestClose: onCloseModal, style: customStyles }, this.props.children)));
    };
    return ModalPopup;
}(React.Component));
exports.default = ModalPopup;
//# sourceMappingURL=index.js.map