/// <reference types="react" />
import './sidebarHeader.css';
interface Props {
    /**
     * type defines the type of the header. e.g: with image or without image.
     */
    type: string;
    /**
     * image is the image of the header
     */
    image?: string;
    /**
     * headerText1: the text of the header
     */
    headerTitle: string;
    /**
     * headerText2 is for the header text that is displaying bellow header text 1
     */
    headerSubtitle?: string;
}
export declare const SidebarHeader: (props: Props) => JSX.Element;
export {};
