"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./sidebarHeader.css");
exports.SidebarHeader = function (props) {
    var type = props.type, headerTitle = props.headerTitle, headerSubtitle = props.headerSubtitle, image = props.image;
    switch (type) {
        case "withImage":
            return (React.createElement("div", { className: "sidebarHeading" },
                React.createElement("img", { src: image ? image : "", alt: "zwsLogo" }),
                " ",
                React.createElement("span", { className: "subtitleGray" }, headerTitle)));
            break;
        case "withoutImage":
            return (React.createElement("div", { className: "sidebarHeading" },
                React.createElement("div", { className: "subtitleSmall" }, headerTitle),
                React.createElement("div", { className: "subtitleBig" }, headerSubtitle)));
            break;
        default:
            return (React.createElement("div", { className: "sidebarHeading" }));
            break;
    }
};
//# sourceMappingURL=index.js.map