"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
var react_onclickoutside_1 = require("react-onclickoutside");
require("./tableHeader.css");
// tslint:disable-next-line:no-var-requires
var openIcon = require('../../assets/Icon_Menu_open.svg');
// tslint:disable-next-line:no-var-requires
var closeIcon = require('../../assets/Icon_Menu_close.svg');
var TableHeader = /** @class */ (function (_super) {
    __extends(TableHeader, _super);
    function TableHeader(props) {
        var _this = _super.call(this, props) || this;
        _this.handleClickOutside = function (event) {
            _this.setState({
                open: false
            });
        };
        _this.state = {
            open: false
        };
        _this.handleClick = _this.handleClick.bind(_this);
        _this.handleExit = _this.handleExit.bind(_this);
        return _this;
    }
    TableHeader.prototype.handleClick = function () {
        this.setState({
            open: !this.state.open
        });
    };
    TableHeader.prototype.handleExit = function () {
        this.props.onLogout();
    };
    TableHeader.prototype.render = function () {
        var _a = this.props, title = _a.title, userName = _a.userName, headerColor = _a.headerColor;
        var showIcon = this.state.open ? closeIcon : openIcon;
        return (React.createElement("div", null,
            React.createElement("div", { id: "tableHeaderContainer", style: { background: headerColor } },
                React.createElement("div", { className: "headerTitle" }, title),
                React.createElement("div", { className: "userName" },
                    userName,
                    React.createElement("img", { className: "headerIcon", src: showIcon, onClick: this.handleClick }))),
            React.createElement(react_bootstrap_1.Collapse, { in: this.state.open },
                React.createElement("div", { className: "Icon-menu" },
                    React.createElement("div", { className: "LogoutLink", onClick: this.handleExit }, "Exit Dashboard")))));
    };
    return TableHeader;
}(React.Component));
exports.default = react_onclickoutside_1.default(TableHeader);
//# sourceMappingURL=index.js.map